Get Swap Quote
curl --request GET \
--url https://api.openxswitch.com/v2/swap/quote \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openxswitch.com/v2/swap/quote"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openxswitch.com/v2/swap/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "032dd5b7-881d4543c852",
"slippage": 0.5,
"quoteExpiryTimestamp": 1753183232872,
"expireIn": "5m",
"from": {
"chain": "ethereum",
"token": "ETH",
"amount": "1.10",
"minAmount": "1.10"
},
"to": {
"chain": "ethereum",
"token": "USDT",
"amount": "1250.10",
"minAmount": "1245.10"
},
"totalFee": {
"amountInUsd": ".80"
},
"bridgeFee": {
"amountInUsd": ".80"
}
}
}{
"statusCode": 400,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}{
"statusCode": 404,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "Cannot GET /v1/..."
}{
"statusCode": 422,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": [
"param is required"
]
}{
"statusCode": 500,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}Swaps
Get Swap Quote
Retrieves an existing swap quote using its Quote ID. Returns the previously generated quote and its current status.
GET
/
v2
/
swap
/
quote
Get Swap Quote
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Quote id,
Usually from quote API response
Example:
"92f5dc3-27b7-4965-80fd-7fc45322b8"
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=062e79ad9c4540929eec204aff020178)
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=f6328956931c9664a2a070c2edb6e9b3)